/*
	Spectroscopic Toolkit version 1.40 by Pieter Suurmond, november 11, 2002.

 	To produce graphic scores (from the wavelet-linked-list) in JPEG-format.
  	Subdirectory gt contains my minimal graphic toolkit. Unfortunately, the good old
 	'gd1.2', written by Tom Boutell, 1994, Cold Spring Harbor Labs, could no longer be
  	used because of Unisys patent on LZW-compression. Now using compression from IJG.
 	Include this source in file ST.c, do NOT include it in the compiler-project.
*/

/*-----------------------------------------------------------------------------------------*/
short scoreWAVELETS(ENGINE  E,
                    char*   filename,
                    int     xpix,
                    int     ypix,
                    short   envelopeTracking,
                    char*   title,
                    FILE*   msg);
/*
    Draws graphic musical score from the given linked list with wavelets in ENGINE E.
    Also reads samplerate constants and envelope tables for visualisation.
    Specify desired dimensions of the image with arguments xpix and ypix.
    When argument envelopeTracking is nonzero, envelope shapes are visualised by
    greyscales. When envelopeTracking is zero, only average amplitude (not its' 
    evolution in time) will be greyscaled.
    Title may be NULL, or a pointer to a null-terminated ASCII string in which case 
    that's printed topleft in the score.
    Argument msg may be NULL, stdout, stderr, or some (text)filepointer.
    Returns zero on success, nonzero on failures.
*/

/*-----------------------------------------------------------------------------------------*/
short visualiseTables(ENGINE E, int width, int height, FILE* msg);
/*
      Saves to disk 4 image files, visualising all tables used in ENGINE E.
      All images have the same size.
      Filenames: env......
      Returns 0 on success, nonzero on failures.
      Argument msg may be NULL, stdout, stderr, or some (text)filepointer.
*/
