/*
 	Spectroscopic Toolkit version 1.40 by Pieter Suurmond, november 11, 2002.
	Using the binary database-file 'gfall.pbin', produced by the 'pconv'-program
 	that reads Robert Kurucz's latest data file. 
	
	To construct, query and cleunup a datastructure in memory containing hydrogen 
	lines. Facilitates access by just 4 numbers: jd, jl, el, ed. 
*/

/*------------------------------------------------------------------*/
typedef struct
{
    int   			numEDIF;		/* Number of 'lines' in array.  */
	pieterPacked*	line;			/* Pointer to array of 'lines'. */
}	EDIF_SERIES;

typedef struct
{
    int   			numELOW;
	EDIF_SERIES*	EDIFseries;
}	ELOW_SERIES;

typedef struct
{
    int   			numJLOW;
	ELOW_SERIES*	ELOWseries;
}	JLOW_SERIES;

typedef struct          			/* Struct to contain all series. */
{
    int   			numJDIF;
	JLOW_SERIES*	JLOWseries;
}	JDIF_SERIES;

JDIF_SERIES* init_JEBASE(FILE* msg);
/*
	Creates and initializes an SERIES_STRUCT object.
	Call free_Hbase() after you are done with the SERIES_STRUCT object.
	Diagnostics are fprintf-ed to stream msg when msg is not NULL.
*/

pieterPacked* ask_JEBASE(JDIF_SERIES* JE, int dj, int lj, int le, int de);
/*
	Returns pointer to pieterPacked linedata if successful. Returns NULL on failures.
	Looks up line in a 4-dimensional space. Argument dj is the difference between higher 
	and lower J minus 1. Argument lj is the lower J. Argument le is the lower energy-
	level index. Argument de is the difference between higher and lower level (index).
*/

void free_JEBASE(JDIF_SERIES** j);
/*
	Call this after init_Hbase().
	No problem if *j (or even j itself) is NULL.
*/

