/*
	Spectroscopic Toolkit version 1.40 by Pieter Suurmond, november 11, 2002.
	To derive some more data out of the line-data read from the binary database.
	(NOT NEEDED FOR THE "pconv" PROGRAM (BUT CONSISTENT WITH HEADER "gfall.pbin.h".)
	Thanks to Peter L. Smith, Claas Heise, Jim R. Esmond and Robert L. Kurucz.
*/


void printLineEssential(pieterPacked* line, FILE* to);
/*
	Call with to = stdout for  console; a logfile or NULL.
*/

typedef struct       /* Some more scientific data derived from the read-in structure. */
    {
    double      wlVacCorrected;     /* [nm]     Calculated (and slightly different    */
    double      wlAirCorrected;     /* [nm]     from) WLVAC in gfall.pbin.h".         */
    double      waveNumbers;        /* [cm^-1]  Difference between energy levels.     */
    double      photonEnergy;       /* [eV]     Calculated from waveNumbers.          */
    double      frequency;          /* [s^-1]   Calculated from photonEnergy.         */
    double      Avalue;             /* [s^-1]   Calculated from LOGGF and others.     */
    }           derivedData;


void moreLineData(pieterPacked* essential, derivedData* derived);

void printLineDerived(derivedData* line, FILE* to);
/*
	Call with to = stdout for console; gLOGFILE for file.
*/

/* 	Relative path to binary databasefile, accessed in ST.cXX_xxxx.c files.
	Put here for convenience. Choose your platform:						    */

#if (1)                       		/* '/' for UNIX: 						*/
# define kDbase "pconv/gfall.pbin"
#elif (0)                      		/* ':' for Apple Macintosh:				*/
# define kDbase ":pconv:gfall.pbin"
#else                            	/* '\' for DOS and WINDOWS:				*/
# define kDbase "pconv\\gfall.pbin"
#endif
