/*****************************************************************************
        Format of binary file "gfall.pbin" produced by "pconv" (converts
        Kurucz's latest data files (part of Spectroscopic Therapy Toolkit
        version 0.05) Pieter Suurmond, february 18, 2001).
*****************************************************************************/

typedef struct      /* Same structure for both energy levels.               */
    {
    double          E;              /* in cm^-1                  (8 bytes?) */
    float           J;              /* J                         (4 bytes?) */
    char            LABEL[12];      /* 10 chars + NULL-char     (12 bytes?) */
    }               energyLevel;

typedef struct      /* Gamma_r,s,w and some other things not yet stored.    */
    {
    double          WLVAC;          /* in nm (air above 200).    (8 bytes?) */
    double          LOGGF;          /* log of gf.                (8 bytes?) */
    energyLevel     LOW;            /* see above                (24 bytes?) */
    energyLevel     UPP;            /* see above                (24 bytes?) */
    unsigned short  ELEM;           /* element + charge/100.     (2 bytes?) */
    char            REF[6];         /* reference code            (6 bytes?) */
    }               pieterPacked;   /*                           72 TOTAL?  */

#define kKuruczLinesTotal 564942L   /* To check if whole database is read.  */
